Download it now!
Bug 74521 - Comments duplicated on other sheet when saving as xls
Summary: Comments duplicated on other sheet when saving as xls
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords: regression
: 74534 74611 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-04 17:43 UTC by G. Prager
Modified: 2014-02-11 22:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet with two sheets. A comment was added to cell B3 on the second sheet. The document was saved as .xls. When reopening the comment is added on sheet 1 B3. (6.50 KB, application/vnd.ms-excel)
2014-02-04 22:27 UTC, G. Prager
Details

Note You need to log in before you can comment on or make changes to this bug.
Description G. Prager 2014-02-04 17:43:10 UTC
When editing an .xls file with several tables of which one is containing a commentary, while editing the file and then saving it again causes the commmentary to be reproduced in all tables, in addition it can't be edited any more.
This renders LO 4.2.0 ununsable for me in the moment. 
The behavior did not show up in any earlier LO-versions. 

The behavior can easily be reproduced by editing an empty .xls file with two tables adding a comment to a cell on the second table. When saving the file as .xls (MS Office 97-2003) the comment will show up in both tables.
Comment 1 G. Prager 2014-02-04 19:35:26 UTC
Bug confirmed to persist in libo-42~2014-02-04_11.26.19_LibreOfficeDev_4.2.1.0.0_Win_x86.msi
Comment 2 G. Prager 2014-02-04 19:47:35 UTC
Confirmed: 
Bug does not exist in LO 4.1.4 nor in LibreOffice_4.1.5.2_Win_x86.msi
Comment 3 bfoman (inactive) 2014-02-04 22:06:05 UTC
Please attach example document for easier check on different system/build.
Comment 4 G. Prager 2014-02-04 22:27:35 UTC
Created attachment 93420 [details]
Spreadsheet with two sheets. A comment was added to cell B3 on the second sheet. The document was saved as .xls. When reopening the comment is added on sheet 1 B3.

Spreadsheet with two sheets. A comment was added to cell B3 on the second sheet. The document was saved as .xls. When reopening the comment is added on sheet 1 B3.

This is especially annoying when working with larger files and a lot of commentaries. Then version 4.2.0 is unusable.
Comment 5 sophie 2014-02-06 14:42:06 UTC
So I can confirm that the comments is added added on the second sheet appears in the first sheet and same cell after saving as .xls. 
Saving as .ods, the comment is not added, it works correctly, but saving again at .xls the comment is added again. 
But I can still edits the comments. 
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71 Ubuntu 13.10 x64
set to New, added regression as it works correctly in 4.1.5.3 - change system to all. Sophie
Comment 6 sophie 2014-02-06 14:44:13 UTC
Edit the summary and change importance - Sophie
Comment 7 G. Prager 2014-02-06 21:24:26 UTC
http://www.libreoffice-forum.de/viewtopic.php?f=6&t=12975

seems to describe the same bug; discussion in German
Comment 8 Klaus 2014-02-07 12:49:26 UTC
*** Bug 74611 has been marked as a duplicate of this bug. ***
Comment 9 Kohei Yoshida 2014-02-08 14:56:37 UTC
I'm looking into this.
Comment 10 Commit Notification 2014-02-08 16:36:21 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d71fd489c39f348c43477cafdc1bc150bf1ff68

fdo#74521: Write unit test for this first.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-02-08 16:36:36 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=771b9d2718f28beedbc1a913e8965cdd1fc75a88

fdo#74521: Only pick cell notes for that sheet, and skip the rest.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2014-02-08 16:38:07 UTC
4.2 backport request: https://gerrit.libreoffice.org/7945
Comment 13 Commit Notification 2014-02-08 17:28:24 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7586a2ebb8eacae6b45910cb248694c27dfdb901&h=libreoffice-4-2

fdo#74521: Only pick cell notes for that sheet, and skip the rest.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Kohei Yoshida 2014-02-08 17:51:24 UTC
Fixed in 4.2.1.
Comment 15 sophie 2014-02-11 15:07:24 UTC
*** Bug 74534 has been marked as a duplicate of this bug. ***
Comment 16 G. Prager 2014-02-11 22:52:11 UTC
I can confirm that libo-42~2014-02-10_23.09.14_LibreOfficeDev_4.2.1.0.0_Win_x86.msi
nightly build works fine !
GP